/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#include <core/settings.h>
#include <gui/builder.h>
#include <gui/sidebar.h>

const gchar *SIDEBAR_SETTING = "gui.sidebar.pos";


void __sidebar_resize(GtkPaned *pane, GParamSpec *pspec, gpointer data)
{
	settings_set(SIDEBAR_SETTING, gtk_paned_get_position(pane));
}

void gui_sidebar_init()
{
	GtkPaned *pane = GTK_PANED(gui_builder_widget("o_sidebar"));
	int       pos  = settings_get(SIDEBAR_SETTING);

	if (pos > 0)
		gtk_paned_set_position(pane, pos);
}
